# Rapid Widgets Library

The rapid_widgets_library, has a variety of custom made widgets that are easy to implement and customisable. Each widget is customisable, making them flexible to use. The widgets are documented thoroughly due to which the development time is reduced.
Note: Our previous package flutter_catalogue_widgets has been discontinued. Please use this new package for the same features!

## Getting Started

One of the main benefits of using this package is that by adding a single dependency in the pubspec.yaml file, the user can import around 60 custom widgets. These widgets are documented systematically i.e. each widgets documentation includes the import statements, along with the code of using and calling these widgets. This inturn, reduces the development time significantly.
These widgets create a low-code environment for the developer as the widgets can be used by using the code that is available in the documentation. Even if the user does not wish to pass any parameters, the widgets will be displayed with a default design and values.
Moreover, they provide great flexibility to the user by being extremely customisable.

Steps to create an application:

1. Create a new flutter project.
2. Create an empty dart file
3. Navigate to the URL: http://104.40.75.137:9003/
4. In the search box, type in the widget that you would like to add, or scroll through the website to search for something that you may like.
5. Once you have found the widget that you would like to add, open the page of the widget and copy the boilerplate code that is present on the page and paste it
into your empty dart file.
6. Go back to the website, copy and paste the import, the object and the widget call into the dart file which now contains the boilerplate code.
7. Run the file to build the application

For help getting started with Rapid Widgets Library, view our
http://104.40.75.137:9003/, which offers tutorials,
samples, guidance on mobile development, and a full reference.
